import { AbstractCounter } from "./abstract-counter";
export declare class Counter extends AbstractCounter {
    /**
     * @constructor
     * @this {Counter}
     * @param targetValue counter target value
     * @param onFire callback function
     * @param initialStep initial counter value
     * @param args callback's arguments
     * @throws Error if initial value greatest then target value
     */
    constructor(targetValue: number, onFire?: Function, initialStep?: number, ...args: any[]);
    /**
     * Increment current value of counter
     */
    increment(): void;
    /**
     * Marker of counter state
     */
    get activated(): boolean;
}
